# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Fast.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(Getopt/Long.pm) perl(HTML/Entities.pm) perl(Image/Size.pm) perl(Imager.pm) perl(JSON.pm) perl(Module/Build.pm) perl(POSIX.pm) perl(Pod/Usage.pm) perl(Test/HTML/W3C.pm) perl(Text/Markdown/Discount.pm) perl(Text/Textile.pm) perl(XML/Atom/SimpleFeed.pm) perl(XML/Feed.pm)
# END SourceDeps(oneline)
%define module_name WRT
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 3.5.0
Release: alt1
Summary: WRiting Tool
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRENNEN/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This started life as `display.pl', a simple script to concatenate fragments of
handwritten HTML by date.  It has since haphazardly accumulated several of the
usual weblog features (lightweight markup, feed generation, embedded Perl,
poetry tools, image galleries, and ill-advised dependencies), but the basic
idea hasn't changed that much.

The `wrt' utility now generates static HTML files, instead of expecting to
run as a CGI script.  This is a better idea, for the most part.

The `WRT' module will work with FastCGI, if called from the appropriate
wrapper script, such as `wrt-fcgi'.

By default, entries are stored in a simple directory tree under `entry_dir'.

Like:

     archives/2001/1/1
     archives/2001/1/1/sub_entry

It is possible (although not as flexible as it ought to be) to redefine the
directory layout. More about this after a bit.

An entry may be either a plain text file, or a directory containing several
files. If it's a directory, a file named "index" will be treated as the text
of the entry, and all other lower-case filenames without extensions will be
treated as sub-entries or documents within that entry, and displayed
accordingly. Links to certain other filetypes will be displayed as well.

Directories may be nested to an arbitrary depth, although it's probably not a
good idea to go very deep with the current display logic.

A PNG or JPEG file with a name like

    2001/1/1.icon.png
    2001/1/1/index.icon.png
    2001/1/1/whatever.icon.png
    2001/1/1/whatever/index.icon.png

will be treated as an icon for the appropriate entry file.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING README.pod example
%perl_vendor_privlib/W*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Thu Nov 16 2017 Igor Vlasenko <viy@altlinux.ru> 3.5.0-alt1
- initial import by package builder

